%define name		jaas
%define version		1.0
%define cvs_version	1_0
%define release		4jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java(TM) Authentication and Authorization Service
License:	Sun Binary Code License
Url:		http://java.sun.com/products/%{name}
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}%{cvs_version}.zip
Source1:	%{name}%{cvs_version}-doc.zip
NoSource:	0
NoSource:	1
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The JavaTM Authentication and Authorization Service (JAAS) is a Java
package that enables services to authenticate and enforce access
controls upon users. It implements a Java version of the standard
Pluggable Authentication Module (PAM) framework, and supports user-based
authorization.

%package demo
Summary:	Demo for %{name}
Group:		Development/Libraries/Java
Requires:	%{name} = %{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}%{cvs_version}
%setup -n %{name}%{cvs_version} -T -D -a1
# fix files perms
chmod -R go=u-w *

%build

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 lib/%{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} ${jar/-%{version}/}; done)
# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr doc/samples $RPM_BUILD_ROOT%{_datadir}/%{name}
rm -rf doc/samples
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr %{name}%{cvs_version}-doc/apidoc/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/*
%{javadir}/*.jar

%files demo
%defattr(-,root,root)
%{_datadir}/%{name}

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Thu May 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-4jpp
- vendor, distribution, group tags
- javadoc
- corrected line too long in description

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-3jpp 
- section macro
- nosrc package
- fixed perms
- stricter dependencies for demo package

* Tue Jan 22 2002 Henri Gomez <hgomez@slib.fr> 1.0.1a-2jpp
- added Sun Binary Code Licence

* Thu Jan 17 2002 Henri Gomez <hgomez@slib.fr> 1.0.1a-1jpp
- Initial release
